(ns mailhead.config
  (:require [selmer.parser :as parser]
            [taoensso.timbre :as timbre]
            [mailhead.dev-middleware :refer [wrap-dev]]))

(def defaults
  {:init
   (fn []
     (parser/cache-off!)
     (timbre/info "\n-=[mailhead started successfully using the development profile]=-"))
   :middleware wrap-dev})
